"use strict";

/*
  Returns the array of plugins (config) for
  the NelityCMS config passed. 🚀
*/
const path = require('path');

const dirName = process.cwd();

const createPluginPaths = (config = {
  collections: []
}) => {
  let plugins = [];
  config.collections.forEach(collection => {
    if (collection.name) {
      if (collection.folder) {
        const name = `${collection.name}`;
        plugins.push({
          resolve: "gatsby-source-filesystem",
          options: {
            name,
            path: path.join(`${dirName}`, `${collection.folder}/`)
          }
        });
      } else {
        collection.files.forEach(file => {
          if (file.name && file.file) {
            const name = `${collection.name}_${file.name}`;
            plugins.push({
              resolve: "gatsby-source-filesystem",
              options: {
                name,
                path: path.join(`${dirName}`, `${file.file}`)
              }
            });
          }
        });
      }
    }
  });
  return plugins;
};

module.exports = createPluginPaths;